<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Lista składowych</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_q_c_p_item_position.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle"><div class="title">QCPItemPosition Lista składowych</div></div>
</div><!--header-->
<div class="contents">

<p>To jest kompletna lista składowych dla <a class="el" href="class_q_c_p_item_position.html">QCPItemPosition</a>, uwzględniająca wszystkie dziedziczone składowe.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_item_anchor.html#aef15daa640debfb11b0aeaa2116c6fbc">addChildX</a>(QCPItemPosition *pos)</td><td class="entry"><a class="el" href="class_q_c_p_item_anchor.html">QCPItemAnchor</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_item_anchor.html#af05dc56f24536f0c7a9a0f57b58cea67">addChildY</a>(QCPItemPosition *pos)</td><td class="entry"><a class="el" href="class_q_c_p_item_anchor.html">QCPItemAnchor</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_item_position.html#ae4081cfe7575f922f403c6e3a2ce7891">axisRect</a>() const</td><td class="entry"><a class="el" href="class_q_c_p_item_position.html">QCPItemPosition</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_item_position.html#aa4ecf5b04c67049c05d37619e090820b">coords</a>() const</td><td class="entry"><a class="el" href="class_q_c_p_item_position.html">QCPItemPosition</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_item_position.html#a6fc519f1b73722a8d0cff7d4d647407e">key</a>() const</td><td class="entry"><a class="el" href="class_q_c_p_item_position.html">QCPItemPosition</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_item_position.html#ab6c3afb95511842eee29745480cc8a53">keyAxis</a>() const</td><td class="entry"><a class="el" href="class_q_c_p_item_position.html">QCPItemPosition</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_item_anchor.html#a00c62070333e8345976b579676ad3997">mAnchorId</a></td><td class="entry"><a class="el" href="class_q_c_p_item_anchor.html">QCPItemAnchor</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_item_position.html#add40fcb8994c247d85f42a126286b740">mAxisRect</a></td><td class="entry"><a class="el" href="class_q_c_p_item_position.html">QCPItemPosition</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_item_anchor.html#a3c0bfd6e50f3b48e2a9b3824695b20f7">mChildrenX</a></td><td class="entry"><a class="el" href="class_q_c_p_item_anchor.html">QCPItemAnchor</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_item_anchor.html#a3abe4eebd0683454d81c8341df6f7115">mChildrenY</a></td><td class="entry"><a class="el" href="class_q_c_p_item_anchor.html">QCPItemAnchor</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_item_position.html#a4ff3931ad115603dfb4c7000b24bb415">mKey</a></td><td class="entry"><a class="el" href="class_q_c_p_item_position.html">QCPItemPosition</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_item_position.html#a63967a33933231e92f68c8ce06bfc37e">mKeyAxis</a></td><td class="entry"><a class="el" href="class_q_c_p_item_position.html">QCPItemPosition</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_item_anchor.html#a23ad4d0ab0d2cbb41a7baf05bcf996ec">mName</a></td><td class="entry"><a class="el" href="class_q_c_p_item_anchor.html">QCPItemAnchor</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_item_position.html#a41b4641d18c90997b9c01bf304181bf0">mParentAnchorX</a></td><td class="entry"><a class="el" href="class_q_c_p_item_position.html">QCPItemPosition</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_item_position.html#afc6142a6a09c8fa41c44d3d54fadd737">mParentAnchorY</a></td><td class="entry"><a class="el" href="class_q_c_p_item_position.html">QCPItemPosition</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_item_anchor.html#a80fad480ad3bb980446ed6ebc00818ae">mParentItem</a></td><td class="entry"><a class="el" href="class_q_c_p_item_anchor.html">QCPItemAnchor</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_item_anchor.html#a59b968410831ba91a25cc75a77dde6f5">mParentPlot</a></td><td class="entry"><a class="el" href="class_q_c_p_item_anchor.html">QCPItemAnchor</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_item_position.html#ae2a617dce057c5f3ec6878c1823aa291">mPositionTypeX</a></td><td class="entry"><a class="el" href="class_q_c_p_item_position.html">QCPItemPosition</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_item_position.html#a47c96c0ef4380e1af4aaa7c2265c260b">mPositionTypeY</a></td><td class="entry"><a class="el" href="class_q_c_p_item_position.html">QCPItemPosition</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_item_position.html#a67bf5df69f587d53731724a7d61c6c3f">mValue</a></td><td class="entry"><a class="el" href="class_q_c_p_item_position.html">QCPItemPosition</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_item_position.html#a505dc2da24ba274452c1c817fcaba011">mValueAxis</a></td><td class="entry"><a class="el" href="class_q_c_p_item_position.html">QCPItemPosition</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_item_anchor.html#aad37cdf5a3f63428f61be739014e212e">name</a>() const</td><td class="entry"><a class="el" href="class_q_c_p_item_anchor.html">QCPItemAnchor</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_item_position.html#a0a87f9dce1af6cc9b510785991bcf1c6">parentAnchor</a>() const</td><td class="entry"><a class="el" href="class_q_c_p_item_position.html">QCPItemPosition</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_item_position.html#afd6993258e88255a6b5e82e98df40d6a">parentAnchorX</a>() const</td><td class="entry"><a class="el" href="class_q_c_p_item_position.html">QCPItemPosition</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_item_position.html#a5151572d157fd475c9b2bc9b9df6595b">parentAnchorY</a>() const</td><td class="entry"><a class="el" href="class_q_c_p_item_position.html">QCPItemPosition</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_item_position.html#a8be9a4787635433edecc75164beb748d">pixelPosition</a>() const Q_DECL_OVERRIDE</td><td class="entry"><a class="el" href="class_q_c_p_item_position.html">QCPItemPosition</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_item_position.html#aad9936c22bf43e3d358552f6e86dbdc8">PositionType</a> nazwa wyliczenia</td><td class="entry"><a class="el" href="class_q_c_p_item_position.html">QCPItemPosition</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_item_position.html#aad9936c22bf43e3d358552f6e86dbdc8a564f5e53e550ead1ec5fc7fc7d0b73e0">ptAbsolute</a> wartość wyliczenia</td><td class="entry"><a class="el" href="class_q_c_p_item_position.html">QCPItemPosition</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_item_position.html#aad9936c22bf43e3d358552f6e86dbdc8a01080fd00eaf09fa238ef6b73bbfef75">ptAxisRectRatio</a> wartość wyliczenia</td><td class="entry"><a class="el" href="class_q_c_p_item_position.html">QCPItemPosition</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_item_position.html#aad9936c22bf43e3d358552f6e86dbdc8ad5ffb8dc99ad73263f7010c77342294c">ptPlotCoords</a> wartość wyliczenia</td><td class="entry"><a class="el" href="class_q_c_p_item_position.html">QCPItemPosition</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_item_position.html#aad9936c22bf43e3d358552f6e86dbdc8ac7d6aa89ceacb39658b0d6da061c789a">ptViewportRatio</a> wartość wyliczenia</td><td class="entry"><a class="el" href="class_q_c_p_item_position.html">QCPItemPosition</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_item_anchor.html#a32573023c6fa65b4496f1f995e5bfa5f">QCPItemAnchor</a>(QCustomPlot *parentPlot, QCPAbstractItem *parentItem, const QString &amp;name, int anchorId=-1)</td><td class="entry"><a class="el" href="class_q_c_p_item_anchor.html">QCPItemAnchor</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_item_position.html#a6519a552bd9766354644ec24d1f26622">QCPItemPosition</a>(QCustomPlot *parentPlot, QCPAbstractItem *parentItem, const QString &amp;name)</td><td class="entry"><a class="el" href="class_q_c_p_item_position.html">QCPItemPosition</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_item_anchor.html#a230b1d494cda63458e289bbe1b642599">removeChildX</a>(QCPItemPosition *pos)</td><td class="entry"><a class="el" href="class_q_c_p_item_anchor.html">QCPItemAnchor</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_item_anchor.html#aa2394911d8fff3bd958b9f4f1994b64d">removeChildY</a>(QCPItemPosition *pos)</td><td class="entry"><a class="el" href="class_q_c_p_item_anchor.html">QCPItemAnchor</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_item_position.html#a2185f45c75ac8cb9be89daeaaad50e37">setAxes</a>(QCPAxis *keyAxis, QCPAxis *valueAxis)</td><td class="entry"><a class="el" href="class_q_c_p_item_position.html">QCPItemPosition</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_item_position.html#a0cd9b326fb324710169e92e8ca0041c2">setAxisRect</a>(QCPAxisRect *axisRect)</td><td class="entry"><a class="el" href="class_q_c_p_item_position.html">QCPItemPosition</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_item_position.html#aa988ba4e87ab684c9021017dcaba945f">setCoords</a>(double key, double value)</td><td class="entry"><a class="el" href="class_q_c_p_item_position.html">QCPItemPosition</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_item_position.html#ae2756567f063cd4be41697e105babc49">setCoords</a>(const QPointF &amp;pos)</td><td class="entry"><a class="el" href="class_q_c_p_item_position.html">QCPItemPosition</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_item_position.html#ac094d67a95d2dceafa0d50b9db3a7e51">setParentAnchor</a>(QCPItemAnchor *parentAnchor, bool keepPixelPosition=false)</td><td class="entry"><a class="el" href="class_q_c_p_item_position.html">QCPItemPosition</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_item_position.html#add71461a973927c74e42179480916d9c">setParentAnchorX</a>(QCPItemAnchor *parentAnchor, bool keepPixelPosition=false)</td><td class="entry"><a class="el" href="class_q_c_p_item_position.html">QCPItemPosition</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_item_position.html#add5ec1db9d19cec58a3b5c9e0a0c3f9d">setParentAnchorY</a>(QCPItemAnchor *parentAnchor, bool keepPixelPosition=false)</td><td class="entry"><a class="el" href="class_q_c_p_item_position.html">QCPItemPosition</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_item_position.html#a8d4f858f2089973967cf9cb81970ef0a">setPixelPosition</a>(const QPointF &amp;pixelPosition)</td><td class="entry"><a class="el" href="class_q_c_p_item_position.html">QCPItemPosition</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_item_position.html#aa476abf71ed8fa4c537457ebb1a754ad">setType</a>(PositionType type)</td><td class="entry"><a class="el" href="class_q_c_p_item_position.html">QCPItemPosition</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_item_position.html#a2113b2351d6d00457fb3559a4e20c3ea">setTypeX</a>(PositionType type)</td><td class="entry"><a class="el" href="class_q_c_p_item_position.html">QCPItemPosition</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_item_position.html#ac2a454aa5a54c1615c50686601ec4510">setTypeY</a>(PositionType type)</td><td class="entry"><a class="el" href="class_q_c_p_item_position.html">QCPItemPosition</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_item_position.html#a0d2c5b823c99207eda710a37a4bb1dbf">toQCPItemPosition</a>() Q_DECL_OVERRIDE</td><td class="entry"><a class="el" href="class_q_c_p_item_position.html">QCPItemPosition</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_item_position.html#abfd74d86bd799306ce0295ffe433bdfc">type</a>() const</td><td class="entry"><a class="el" href="class_q_c_p_item_position.html">QCPItemPosition</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_item_position.html#a1415911868835701c04250566bfc681d">typeX</a>() const</td><td class="entry"><a class="el" href="class_q_c_p_item_position.html">QCPItemPosition</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_item_position.html#ae47bac6f679c58f9e1c78dc63d56f331">typeY</a>() const</td><td class="entry"><a class="el" href="class_q_c_p_item_position.html">QCPItemPosition</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_item_position.html#acfcf86f840a7366a4299bff593d5d636">value</a>() const</td><td class="entry"><a class="el" href="class_q_c_p_item_position.html">QCPItemPosition</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_item_position.html#aaa4dc49c9f142ff00b491272febc1de6">valueAxis</a>() const</td><td class="entry"><a class="el" href="class_q_c_p_item_position.html">QCPItemPosition</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_item_anchor.html#a1868559407600688ee4d1a4621e81ceb">~QCPItemAnchor</a>()</td><td class="entry"><a class="el" href="class_q_c_p_item_anchor.html">QCPItemAnchor</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_item_position.html#a21f585ffa8d8e3a6ba0cc450701bca5a">~QCPItemPosition</a>() Q_DECL_OVERRIDE</td><td class="entry"><a class="el" href="class_q_c_p_item_position.html">QCPItemPosition</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
